Supported Configurations and System Requirements

Revised August 22, 2012.

Before installing vFabric RabbitMQ, verify that your system meets operating system and installation requirements.

Subtopics

Supported Configurations

AMQP Implementation and Support

Software Requirement: Install Erlang

Supported Configurations

The following table shows supported configurations for vFabric RabbitMQ. The operating system and processor architecture support also applies to other products in vFabric Suite. See vFabric Suite supported configurations.

Note

The table indicates whether the supported configuration is for production or development. Generally, Production support means you can run your production application on the platform; Developer support means you can develop on the platform but you should not run your production application on it. For details, see vFabric Suite supported configurations.

Table 1. vFabric RabbitMQ Supported Configurations

Operating SystemProcessor ArchitectureErlang1Production/Developer Support
RedHat Enterprise Linux (RHEL) V5x86_64, x86_32Erlang R14B and laterProduction
RedHat Enterprise Linux (RHEL) V6x86_64, x86_32Erlang R14B and laterProduction
Microsoft Windows Server 2008 SP2x86_64, x86_32Erlang R14B and laterProduction
Microsoft Windows Server 2003 SP2 and newerx86_32Erlang R14B and laterProduction
Ubuntu 10.04x86_64Erlang R14B and laterDeveloper
Microsoft Windows XPx86_64, x86_32Erlang R14B and laterDeveloper
Microsoft Windows 7x86_64, x86_32Erlang R14B and laterDeveloper
MacOS X 10.6+x86_64Erlang R14B and laterDeveloper

1VMware recommends and supports Erlang R14B and later for vFabric RabbitMQ. Although vFabric RabbitMQ runs with Erlang R12B-3 or later, certain configurations require more recent versions of Erlang. See Erlang Versions.